-- Deploy postgis-vlci-vlci2:v_migrations/2376-alter-validacion-medioambiente to pg

BEGIN;

-- Tabla de validación Mensual
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_vm ADD originalservicepath text NOT NULL;
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_vm ADD originalentityid varchar(64) NOT NULL;
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_vm ADD originalentitytype text NOT NULL;
ALTER TABLE t_datos_cb_medioambiente_airqualityobserved_vm DROP CONSTRAINT t_datos_cb_medioambiente_airqualityobserved_vm_pkey;
ALTER TABLE t_datos_cb_medioambiente_airqualityobserved_vm
ADD CONSTRAINT t_datos_cb_medioambiente_airqualityobserved_vm_pkey PRIMARY KEY (originalentityid,dateObserved,operationalStatus);

-- Tabla de validación Anual
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_va ADD originalservicepath text NOT NULL;
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_va ADD originalentityid varchar(64) NOT NULL;
ALTER TABLE vlci2.t_datos_cb_medioambiente_airqualityobserved_va ADD originalentitytype text NOT NULL;
ALTER TABLE t_datos_cb_medioambiente_airqualityobserved_va DROP CONSTRAINT t_datos_cb_medioambiente_airqualityobserved_va_pkey;
ALTER TABLE t_datos_cb_medioambiente_airqualityobserved_va
ADD CONSTRAINT t_datos_cb_medioambiente_airqualityobserved_va_pkey PRIMARY KEY (originalentityid,dateObserved,operationalStatus);

COMMIT;
